Список версий:

Версия | Дата выпуска
--- | ---
v2.50 | 2014.12.27
v2.47.1 | 2014.09.30
v2.47 | 2014.09.07
v2.46 | 2014.08.04
v2.45.1 | 2014.07.25
v2.45 | 2014.07.24
v2.44 | 2014.06.21
v2.43 | 2014.03.21
v2.42 | 2014.02.25
v2.41 | 2014.02.18
v2.40 |
v2.39 | 2014.02.01
v2.38 | 2013.12.31
v2.35 | 2013.06.17
v2.34 | 2013.04.05
v2.31 | 2013.02.04
v2.30 | 2013.02.02
v2.24 | 2012.11.01
v2.23 |
v2.21 |
v2.2 |
v2.1 | 2012.06.21

Что нового:

Версия 2.50
1. Добавлены модели роутеров:
- ASUS:
DSL-N55U-B (Black)
RT-AC52U (Black)
RT-N12VP (Black)
WL-500gD (HG)
- Belkin:
N600DB (в разработке)
- Boa IP Camera:
ABUS Security-Center TVIP10051 (беспроводная камера)
ABUS Security-Center TVIP11000 (проводная камера)
ABUS Security-Center TVIP11551 (беспроводная камера)
ABUS Security-Center TVIP20050 (беспроводная камера)
ABUS Security-Center TVIP20500 (проводная камера)
ABUS Security-Center TVIP21551 (беспроводная камера)
Instar IP Camera (беспроводная камера)
Intellinet NSC15 (проводная камера)
Netwave IP Camera (беспроводная камера)
TP-LINK TL-SC2020N (беспроводная камера)
- Cisco:
Linksys WRP400
Linksys WRT610N
SPA122 (проводной)
SRP521W
SRP526W
SRP527W
SRP541W
SRP547W
- D-Link:
DCS-2000 (проводная камера)
DCS-2100 (проводная камера)
DCS-2100G (беспроводная камера)
DCS-2132LB1 (беспроводная камера)
DCS-5300 (проводная камера)
DCS-5300W (беспроводная камера)
DCS-6620G (беспроводная камера)
DSL-2741B
DSL-321B (проводной)
DVG-5112S (проводной)
DVG-7111S (проводной)
- D-Link v2:
DIR-651
DSL-2540
- DD-WRT:
Cisco Linksys WRT160Nv3
D-Link DIR-615-H
NETGEAR WNR3500v2/U/L v1
- DrayTek:
Vigor2710n (в разработке)
Vigor2830n (в разработке)
- Huawei:
HG8245
HG8245H
- MicroDSL:
ALLNET ALL500VDSL2 Rev. B
Innbox G2400 Series
Sagemcom F@ST1744N
Sagemcom F@ST2304v2
Sagemcom F@ST3804R
TP-LINK TD-8840 (проводной)
ZTE Callisto 821+R3 (проводной)
- Netcam Firmware:
Marmitek Netcam (беспроводная камера)
TRENDnet TV-IP312W (беспроводная камера)
TRENDnet TV-IP422W (беспроводная камера)
- NETGEAR:
DG834B (проводной)
DG834GB
DG834PNB
DGN1000B
DGN3500B
WG602v3
- OpenWrt LuCI:
TP-LINK TL-MR3020 v1
TP-LINK TL-WR741ND
TP-LINK TL-WR741N/ND v1
TP-LINK TL-WR841N/ND v8
- Realtek Broadband:
TOTOLINK N300RTV
- Sercomm:
RV6688BCM
- SI2000:
Callisto821+ (проводной)
- Thomson:
ST5A.37.04
STB6.07.03.T3
- TOTOLINK:
N100RE
N150RT (Upvel rebranded)
N200RE
N300RT (Upvel rebranded)
- TP-LINK:
TL-R402M (проводной)
TL-WA601G
- Ubiquiti AirOS:
Bullet5
- Upvel:
UR-447N4G
- Web Service DVR:
Dahua IPC-HD2100 (проводная камера)
Dahua IPC-HFW3300C (проводная камера)
- WebCM Firmware:
AirTies RT-205UA
D-Link DSL-564T (проводной)
- ZTE:
ZXHN H208N
- ZTE WiMAX:
Verizon Fivespot
ZTE IX350
ZTE MF23
ZTE MF30
- ZyNOS:
Sitecom DC-227 (проводной)
- ZyXEL ZyWALL:
P-660H-D7 (проводной)
2. Обновлены пары Basic/Digest
3. Модуль обработки роутеров полностью отделён от основного модуля сканирования портов с графическим интерфейсом, и оформлен в виде подключаемой динамической библиотеки
4. API функции библиотеки LibRouter опубликованы в документации
5. Создано демо-приложение с открытым исходным кодом, демонстрирующее возможности использования LibRouter
6. Добавлена возможность импортирования файлов со списками диапазонов в редактор диапазонов
7. Обновлён детектор и парсер: D-Link v2, ZTE
8. Обновлён парсер NETGEAR DGN - добавлена локализация для немецкого языка
9. Обновлён парсер D-Link DCS 9x - добавлена локализация для немецкого языка
10. Обновлён парсер ZyNOS ADSL - добавлена локализация для немецкого языка
11. Обновлены парсеры: Realtek 2, Boa IP Camera, Cisco Linksys, TP-LINK Universal, Cisco Configuration Utility, Ubiquiti AirOS, Sercomm, Huawei EchoLife, ZTE WiMAX, Boa ADSL
12. Добавлена возможность выбора провайдера геопозиционирования в настройках
13. Поиск точки на карте снова работает, используя Яндекс.Локатор (надолго ли? :D)
14. Добавлена возможность импорта таблицы из ранее сохранённых файлов (в формате txt или csv)
15. Остановить импорт можно при помощи кнопки Stop import
16. Добавлена возможность сортировки таблицы результатов поиска по алфавиту (кликнуть по одному из заголовков таблицы для сортировки по возрастанию, зажать Ctrl и кликнуть для сортировки по убыванию)
17. Обновлён парсер ZyXEL ZyWALL - добавлена локализация для немецкого языка (частично, только для проводных роутеров)
18. Исправлен баг в парсере TP-LINK при чтении ключа WEP из файла конфигурации
19. Обновлён парсер D-Link DIR-300/320 - добавлена локализация для немецкого языка
20. Добавлена возможность геолокации по IP адресу при помощи сервиса www.geoipview.com
21. Добавлена возможность пересканирования и останова нескольких устройств сразу, при выделении нескольких ячеек
22. Добавлено два новых поля в статусе - время работы и сколько времени займёт процесс (в формате д:чч:мм:сс)
23. Добавлен менеджер проверки соединения - позволяет приостанавливать сканирование, если связь пропадёт, и возобновляет сканирование при восстановлении связи (проверяет либо по ICMP, либо по соединению TCP)
24. Загрузка диапазонов ускорена в 1000 раз (если не меньше), благодаря технологии указательных списков!
25. Введено ограничение на *отображаемое в окне* количество диапазонов (макс. 10000 строк), чтобы система не упала
26. Используемая версия Indy обновлена до последней свежей сборки, библиотеки OpenSSL обновлены
27. Поддержка протокола HTTPS обновлена и полностью работоспособна
28. Таймаут потока теперь задаётся в минутах (минимум 1, максимум 30 минут)
29. Автоматическая авторизация теперь не задействуется, если имя пользователя пустая строка (браузеры не поддерживают такой параметр)
30. Кнопка настройки теперь вызывает новое главное меню
31. В главное меню добавлены элементы вызова документации (на английском и русском)
32. Добавлена возможность фильтрации обработки: фильтр может проверять наличие какой-либо строки в теле ответа, имени сервера, или имени realm; если хотя бы одно правило фильтра срабатывает, обработка отменяется и выводится надпись Filtered в графе Status (редактор правил фильтра доступен через главное меню)
33. Добавлен помощник WPS Companion, умеет подсказывать PIN-код по MAC-адресу точки, а также может сканировать таблицу на предмет используемых алгоритмов генерации пин кода разными роутерами (поддерживает 17 алгоритмов генерации пин кода, и содержит 9 статичных пинов)
34. Добавлена возможность скрывать выбранные колонки таблицы
35. Значительно улучшена структура документации
36. В историю изменений добавлены даты выпусков (которые удалось вспомнить)

Версия 2.47 Update 1
1. Добавлены модели роутеров:
- Ubiquiti AirOS:
PicoStation2
Rocket M2
2. Обновлён эксплойт ASUS WPS, добавлены новые сигнатуры
3. Обновлены пары Basic/Digest
4. Немного ускорена загрузка диапазонов
5. Выложены исходные коды эксплойтов, которые в дальнейшем будут переписаны в скрипты
6. Обновлён раздел F.A.Q.

Версия 2.47
1. Добавлены модели роутеров:
- Gigabyte:
GN-BR02G
- NETGEAR:
DGN2000
XWN5001
- PacketFront:
DRG600 Wi-Fi
- TP-LINK:
TL-WA501G
TL-WA830RE
TL-WA901N
TL-WR543G
- Thomson Router:
Firmware STB6.07.03
Firmware STCE.01.02 (Technicolor)
- ZyXEL/ZyWALL Series:
P660HTN EE
- ZyXEL/Home Router:
NBG-416N N-lite
NBG-418N N
- Other/Ralink:
EnGenius ESR1221N
- Other/Realtek ADSL:
Acorp Sprinter@ADSL LAN110 (проводной)
- Other/WebCM:
D-Link DSL-320T (проводной)
2. Обновлены парсеры: TP-LINK, Gigabyte, NETGEAR WNR, NETGEAR DGN, Realtek ADSL
3. Исправлен баг в нескольких функциях работы с HTTP
4. Исправлен баг в синхронизации
5. Для улучшения производительности синхронизация была убрана из функции поиска текста
6. Время жизни потока увеличено до 5 минут
7. Раздел F.A.Q. в документации улучшен, вопросы распределены на несколько разделов
8. Внесены значительные улучшения в механизм синхронизации
9. Пустые строки в редакторе диапазонов теперь игнорируются
10. Добавлена возможность размещения комментариев в списке диапазонов (для этого поставьте символ решётки # в начало строки), также это позволяет отключать ненужные диапазоны, не удаляя их
11. Добавлена настройка двойного клика мышью по таблице (открыть в браузере или редактировать комментарий) - по умолчанию выключена
12. Добавлена возможность отключения автоматической авторизации в браузере (включена по умолчанию для устройств, использующих Basic/Digest аутентификацию)
13. Функции геолокации отключены (до тех пор, пока не будет найден новый безлимитный способ получения координат)
14. Добавлена кнопка Force stop для принудительной остановки всех потоков (появляется после нажатия Stop scan)
15. Добавлена возможность принудительной остановки выбранного потока (пункт меню Force reset доступен после выполнения Reset)
16. Добавлена возможность не учитывать проводные роутеры в таблице Good Results
17. Добавлена возможность отключения таймаута для потоков (по умолчанию выключена, при использовании пользователю придётся самостоятельно останавливать зависшие потоки, используя функции Force reset и Force stop)
18. Вкладка Interface в настройках перемещена на первое место и переименована в General
19. Добавлена возможность поиска всех совпадений текста в выбранной таблице
20. Добавлена поддержка китайской локализации в парсер Gigabyte
21. Добавлена поддержка французской локализации в парсер NETGEAR WNR
22. Добавлена поддержка итальянской локализации в парсер NETGEAR DGN

Версия 2.46
1. Добавлены модели роутеров:
- ASUS:
RX3041 (D-Link firmware, проводной)
U2C 300M Black (rebranded)
WL-330N3G
- Cisco:
Cisco SPA (Universal, в разработке)
SPA112 (проводной VoIP коммутатор)
WAP2000
- D-Link:
DCS-2132L (беспроводная веб камера)
DCS-6817 (проводная веб камера)
DCS-910 (проводная веб камера)
DCS-932L (беспроводная веб камера)
DCS-933L (беспроводная веб камера)
DCS-942L (беспроводная веб камера)
DIR-330
DIR-857
- DrayTek:
Vigor2920Vn (в разработке)
- EDIMAX:
BR6428N
BR6428NS
- GPON ONT:
Dasan Networks H640GW (в разработке)
Dasan Networks H640RW (в разработке)
- Huawei:
EchoLife HG231f
- NETGEAR:
RP614v4 (проводной)
WGR614v6
- Realtek:
ALFA Network 802.11g
Canyon Wireless Router
FoxGate WFR-301
Netcore NW605+
QTECH QBR-1041WU
Well WRC7000N
- Tenda:
3G 11N
- Thomson:
Firmware STB6.07.04
- TP-LINK:
MSI RG60SE (rebranded)
TL-WA5110G
- TRENDnet:
TV-IP301 (проводная веб камера)
- Upvel:
Totolink N150RT (rebranded)
UR-305B (проводной)
- Vertex Wireless:
VW200
- Web Service DVR:
Dahua IPC-HFW2100 (проводная веб камера)
- Other:
Wireless EVDO Smart 3G Router
2. Обновлены парсеры: D-Link v2, EDIMAX 5, Upvel Universal, TRENDnet/Realtek 2, D-Link DIR-100, Wive-NG, Upvel BN, NETGEAR WGR614v6/WGR614v7/WGT624, ASUS RT-G32/RT-N13/WL-500gP V2, Tenda, NETGEAR WNR612v2/WNR1000v2/WNDR3800/WNR2200, Huawei BM, TRENDnet TEW-432BRP/TEW-452BRP, Ubicom, TP-LINK
3. Обновлён модуль HNAP
4. Исправлен баг в Use credentials (для роутеров с Basic/Digest с первого запуска могло не срабатывать)
5. Добавлена эксплуатация уязвимости для TRENDnet TEW-631BRP (прошивка Ubicom) - получение пароля администратора при входе с правами пользователя
6. Добавлена поддержка чешского языка для прошивки Realtek
7. Добавлена эксплуатация уязвимости для Vertex Wireless VW200 (получение настроек без авторизации)
8. Изменены некоторые названия параметров в ini-файле (для большей точности)
9. Добавлена возможность указания страницы для определения (например /admin/ для некоторых устройств Cisco SPA)
10. Улучшена утилизация потоков (зависшие потоки теперь завершаются корректно)
11. Добавлена настройка времени жизни потока (40 секунд по умолчанию; если Router Scan не успевает выполнить обработку роутера, установите большее значение)
12. Устранён баг в одном из детекторов Micro DSL (мог уйти в бесконечный цикл переопределения модели)
13. Добавлено два столбца - Radio Off (модуль Wi-Fi отключён) и Hidden (трансляция SSID отключена / скрытая сеть), в поле ESSID теперь будет выводиться только имя сети
14. Переписана значительная часть исполняемого кода, в соответствии с планом реализации стандартных API функций

Версия 2.45 Update 1
1. Добавлены модели роутеров:
- ASUS:
RX3041 Rev.B (проводной)
- TP-LINK:
TD-VG3631
- TRENDnet:
TEW-432BRP/C
2. Обновлены парсеры: ASUS HG, ASUS E/LX, EDIMAX, TRENDnet
3. Исправлен баг, из-за которого после сканирования было невозможно внести изменения в диапазоны и порты
4. Добавлена возможность указания интернет браузера для открытия страниц (раньше использовался только системный по умолчанию)
5. Добавлена возможность отключения генерации таблицы Good Results (для медленных ПК)
6. Добавлены новые пары логин/пароль в словари

Версия 2.45
1. Добавлены модели роутеров:
- Acorp:
WLAN Broadband Router
- ASUS:
DSL-N55U Black
- Belkin:
F7D3402 v1
- D-Link:
DCS-2230 (беспроводная веб камера)
DI-707P (проводной)
DIR-826L
- DrayTek:
Vigor (Universal, в разработке)
Vigor2110 (проводной)
VigorFly 200
- EDIMAX:
Firmware 1.02 (BR6228GN)
Firmware CLI v2.0 p50 (проводной)
Intellinet (rebranded)
- Gemtek WiMAX CPE (в разработке):
Airspan HiperMAX (проводной)
Cambium CMM4 (проводной)
WIXS-155 (проводной)
WIXS-177 (проводной)
- GlobespanVirata:
Viking GS8100 (проводной)
- Greenpacket WiMAX CPE:
WIXFMM-129
- Huawei:
EchoLife BM622
EchoLife BM625
EchoLife BM626
EchoLife BM631a
EchoLife BM632
EchoLife BM632w
EchoLife BM655
- NETGEAR:
DG834G
DGN1000
DGN2200
DGN2200v3
WG602v4
WNDR3600
- Seowon Intech:
SWC-3200 (проводной)
SWC-7100 (проводной)
SWC-9000
SWC-9100
SWC-9200
- TP-LINK:
Canyon CNP-WF514N1A (rebranded)
SMC SMCWBR14S-N5 (rebranded)
TL-R460 (проводной)
TL-R470T+ (проводной)
TL-R600VPN (проводной)
TL-R860 (проводной)
TL-WA5210G
TL-WA801N
TL-WDR3500
TL-WDR3600
TL-WR1043N
TL-WR2543ND
TL-WR702N
TL-WR840N
TL-WR841HP
TL-WR843ND
TL-WR940N
- ZTE WiMAX CPE:
IX256
- ZyXEL WiMAX CPE (в разработке):
Greenpacket UH235 (проводной)
MediaTek MT711x (проводной)
- Атрон:
RFT620
2. Обновлены парсеры: D-Link v2, ZyNOS ADSL, TRENDnet TEW-432BRP/TEW-452BRP, D-Link DI-824VUP/DI-824VUP+/DI-804HV/DI-808HV/DI-604/DI-704P, Boa ADSL, ZyXEL NDMSv1, D-Link DIR-615/DIR-655/DIR-825, TP-LINK Universal, Ubiquiti AirOS, Tenda 11N, Wive-NG, AnyData AWR-500A, SerComm Beeline Smart Box S1000, ASUS RX3041 V2, EDIMAX 5, D-Link DCS-2130/DCS-2230, TRENDnet Wireless Router
3. В парсер ZyNOS ADSL добавлена поддержка локализации польского языка
4. Обновлены сигнатуры Hex
5. Добавлена функция копирования строки URL (Copy device URL в контекстном меню, сочетание клавиш Alt+C)
6. Добавлена возможность экспорта данных в текстовый список формата user:pass@ip:port
7. Добавлена возможность экспорта данных в формате JavaScript Object Notation (JSON)
8. Исправлен баг в детекторе-определителе перенаправлений
9. Добавлено сворачивание в tray-значок на панели задач (при включённом Silent Mode)
10. Добавлена возможность дополнительной проверки авторизации для роутеров, использующих Basic Authentication (может быть полезна для роутеров ASUS; конфигурация в файле config.ini, раздел WWW-Authenticate, параметр DualCheck - по умолчанию отключён, установить значение = 1 для включения; примечение: включение данной возможности может немного замедлить процесс подбора пары логин/пароль)
11. Исправлен баг в модуле HNAP (мог стереть ранее полученный парсером пароль)
12. Обновлён модуль HNAP (добавлена возможность получения WPS PIN кода)
13. Добавлена уязвимость для роутеров Tenda 11N (получение имени и пароля администратора)
14. Добавлена возможность устанавливать автоматическую прокрутку по отдельности для каждой вкладки
15. Добавлена возможность выбора таблицы для автоматического сохранения (раньше сохраняло активную таблицу)
16. Добавлен вывод заголовков таблицы при экспорте в XML
17. Теперь если в таблице нет данных, то функция экспорта будет недоступна
18. При включённой функции автоматического сохранения пустые таблицы сохраняться не будут
19. Исправлен баг с падением скорости после длительного сканирования
20. Добавлено 3 режима сканирования: 1) нормальный 2) быстрый 3) очень быстрый
21. Добавлен диалог с настройками (большинство настроек из ini файла теперь можно изменить там)
22. Добавлена возможность использовать прокси сервер (HTTP или HTTPS)
23. Добавлена возможность изменять строку User-Agent
24. Добавлен новый столбец для возможности комментирования
25. Эксплойты для SQLite и Hudson теперь записывают ссылку в столбец комментариев
26. Добавлено автоматическое сохранение настроек программы (раз в 20 секунд)
27. Добавлена возможность редактирования диапазонов в виде текстового списка
28. Добавлена возможность выбора действия по окончанию сканирования (закрыть программу, выполнить выход пользователя, выключение ПК, режим сна, и гибернация)
29. Сканирование роутеров отведено в отдельный модуль, который можно включать и выключать (подбор авторизации входит в состав модуля)
30. Добавлены новые пары логин/пароль в словари
31. Положено начало составлению документации, на первом этапе в неё были перенесены все файлы readme и т.п.
32. Список используемых уязвимостей убран со страницы проекта и бережно перенесён в документацию
33. Добавлено сочетание клавиш Ctrl+D для копирования информации выделенного роутера

Версия 2.44
1. Добавлены модели роутеров:
- AirTies:
AIR-4240
AIR-4340
AIR-4450
- ASUS:
AX-112W
AX-145 (проводной)
RT-AC68U
RT-AC68U Black
RT-N12 Rev.B1 Black
RT-N12VP Black
RT-N14U Grey
RT-N15U HG
- D-Link:
DAP-1353
DCS-930 (беспроводная веб камера)
DSL-2740NRU
DSL-2750U
DSL-320B (проводной)
- Gigabyte:
GN-BR404W
- NETGEAR:
WNDAP350
WNR1000 v3
WNR2200
- Netis:
WF2419
- Tenda:
Wireless-N Router
- TP-LINK:
TL-WR741N
- Thomson:
Firmware ST5D.10.02
Firmware ST5D.10.05
Firmware STB6.07.03.T4
- Upvel:
UR-309BN
- Other / Alpha Networks (D-Link firmware):
D-Link DI-524UP
D-Link DI-604UP (проводной)
D-Link DI-604+ (проводной)
D-Link DI-624S
D-Link T-Mobile TM-G5240
Planex BRL-04CW (проводной)
Planex BRL-04CW-U (проводной)
Planex BRL-04R (проводной)
Planex BRL-04UR (проводной)
- Other / Realtek ADSL firmware:
Acorp Sprinter@ADSL LAN110 v2 (проводной)
Acorp Sprinter@ADSL W422G v4
Intercross 1P (проводной)
- Other / Ubiquiti AirOS:
NanoStation Loco M2
NanoStation M5
- Other / Boa IP Camera:
ABUS Security-Center TVIP10550 (беспроводная веб камера)
Airlive OD-300CAM (проводная веб камера)
Beward N13103 (беспроводная веб камера)
Beward N6601 (проводная веб камера)
Intellinet NFC30 (проводная веб камера)
Intellinet NFC30-IR (проводная веб камера)
Intellinet NFC31 (проводная веб камера)
TP-LINK TL-SC2020 (проводная веб камера)
TP-LINK TL-SC3130 (проводная веб камера)
TP-LINK TL-SC3130G (беспроводная веб камера)
TP-LINK TL-SC3171 (проводная веб камера)
TP-LINK TL-SC3171G (беспроводная веб камера)
Zavio B5110 (проводная веб камера)
Zavio F7110 (проводная веб камера)
- Other / ONT GPON Home Gateway:
Ericsson SBM4F00ARA (на стадии тестирования)
2. Добавлена возможность экспорта в текстовый файл txt (разделитель - табуляция)
3. Обновлены парсеры: AirTies, ASUS E/LX, ZyXEL NDMSv1, ASUS HG, TRENDnet TEW-432BRP/TEW-452BRP, DD-WRT, D-Link DI-524, DI-604, WebCM Firmware, ZyNOS ADSL, D-Link DCS-2121/DCS-2102, ZyNOS ADSL 2, Intercross, D-Link DIR-300/DIR-320/DAP-1353, TP-LINK Universal, Micro DSL, NETGEAR WNR3500L/WNDR4000/WGR614 v9/WNR1000 v3, D-Link DSL-2740R/DSL-320B, Boa ADSL, ASUS Black
4. Обновлены сигнатуры Hex
5. Добавлена эксплуатация нескольких уязвимостей для роутеров ASUS
6. Столбец LAN разделён на два новых - LAN IP Address и LAN Subnet Mask
7. Столбец WAN разделён на четыре новых - WAN IP Address, WAN Subnet Mask, WAN Gateway и Domain Name Servers
8. Поиск точки доступа на карте теперь выполняется в отдельном потоке
9. Добавлены новые столбцы - Latitude и Longitude (если точка доступа найдена на карте, координаты записываются в них)
10. Добавлены пункты меню для просмотра точки на карте (Google Maps и Яндекс.Карты)
11. Изменён способ автоматической прокрутки таблицы при появлении новой записи (указатель остаётся на выбранной записи)
12. Автоматическая прокрутка добавлена во вкладку удачных результатов
13. Добавлены поля в строку состояния - найденные (Total found) и успешно просканированные (Good found)
14. Добавлена эксплуатация уязвимости-закладки Alpha Networks/Joel Backdoor, позволяет получить имя и пароль администратора (уязвимы D-Link DIR-100, D-Link DI-524, D-Link DI-524UP, D-Link DI-604UP, D-Link DI-604+, D-Link DI-624S, D-Link T-Mobile TM-G5240, Planex BRL-04UR, Planex BRL-04CW, Planex BRL-04CW-U, Planex BRL-04R, Broadband Router ?)
15. Добавлена эксплуатация уязвимости в роутерах ZTE (при успешном получении root доступа к терминалу роутера позволяет получить имя и пароль администратора, уязвимы ZTE F660, ZTE ZXV10 W300, ZTE ZXV10 H108L)
16. Добавлена эксплуатация уязвимости в роутере D-Link DAP-1353 (получение имени и пароля администратора, обход авторизации - проверено на прошивке 2.01)
17. Исправлен баг в HTTP клиенте при обработке множественных перенаправлений
18. Улучшен индикатор активных потоков, теперь он показывает актуальные данные даже при остановке сканирования на паузу
19. Движок получения очереди IP-адресов переписан заново с нуля с улучшениями
20. Добавлена возможность ввода маски IP-адресов в формате CIDR (IP/маска)
21. Добавлена возможность указания отдельных октетов IP-адреса (диапазоны и перечисления, как в Nmap)
22. Обновлён файл с диапазонами по умолчанию - добавлены новые примеры указания диапазонов
23. Добавлен новый параметр в INI-файле конфигурации - SilentMode (раздел PortScan), если равен 1, то при запуске автоматически запустит сканирование, а по окончанию сохранит отчёт в свою директорию и сам закроется. Примечание: в этом режиме запуска программа не скрывает своё окно
24. Добавлен новый столбец - Time (ms), показывает время отклика при соединении с хостом (в миллисекундах)
25. Добавлены новые пары логин/пароль в словари, чтобы было больше хороших результатов при сканировании
26. Улучшен файл со списком поддерживаемых роутеров, внесены уточнения для некоторых прошивок
27. Добавлена уязвимость роутера D-Link DIR-615 (получение пароля администратора при входе с правами пользователя, проверено на ревизии E4 прошивке 5.10)

Версия 2.43
1. Добавлены модели роутеров:
- AnyGate:
XM-3300N
- ASUS:
RX3041 V2 (проводной)
RX3042H (проводной)
- Cisco:
Linksys EA4500
Aironet AIR-AP1231G-E-K9 (в разработке)
Aironet AIR-LAP1231G-E-K9 (в разработке)
Linksys WRT54GC
- D-Link:
DCS-2121 (беспроводная веб камера)
DIR-300BEE
DSL-2640B
DSR-150 (проводной)
DSR-150N
DSR-250 (проводной)
DSR-250N
DSR-500 (проводной)
DSR-500N
DSR-1000 (проводной)
DSR-1000N
DSL-2740R
DSL-2740U
- DrayTek:
Vigor2910VG (в разработке)
- LevelOne:
WBR-6002
- Motorola Mobility:
VAP2400
- Netis:
WF2412
- NETGEAR:
WNR3500L v1 (Entware HG)
- Pozitron:
diSIM
- SerComm:
Beeline Smart Box S1000
- TP-LINK:
TL-MR3220
TL-R480T+ (проводной)
TL-WA701ND
- TRENDnet:
TV-IP551WI (беспроводная веб камера)
- Upvel:
UR-337N4G
- Other:
G.SHDSL Router Firmware
MikroTik RouterOS (только определение)
2. Обновлены парсеры: Linksys Universal, TRENDnet TEW-650AP, ASUS Black, Micro DSL, ZyXEL ZyWALL, NETGEAR WNR612 v2/WNR1000 v2/WNDR3800, TP-LINK Universal
3. Исправлен баг в Cookie Manager (пробелы в конце и начале пути теперь обрезаются, раньше из-за этого некоторые cookies не отправлялись)
4. В движок HTTP добавлено несколько оптимизаций
5. Добавлена поддержка Deflate и GZip
6. Добавлен парсер D-Link DIR-100 для прошивки v2.02_tp
7. Добавлена возможность автоматического сохранения во время сканирования по промежутку времени (устанавливается в файле конфигурации, раздел Output, параметр Interval, в секундах, по умолчанию отключено = 0, работает только с флагом AutoSave = 1)
8. Добавлен эксплойт для Beeline Smart Box (получение настроек устройства и пароля администратора)
9. Улучшен файл со списком поддерживаемых роутеров, добавлен быстрый поиск

Версия 2.42
1. Добавлены модели роутеров:
- AirTies:
AIR-5343
AIR-5340
RT-204v3
RT-206v4
RT-212
AIR-5440
AIR-5341
AIR-5450v2
AIR-5453
AIR-5443
RT-206
- ASUS:
WL-330gE HG
- C-motech:
CNU-550pro (проводной)
CNU-680pro (проводной)
- Conel:
ER75i (проводной)
- D-Link:
DCS-2103 (проводная веб камера)
DCS-2130 (беспроводная веб камера)
- Huawei:
SmartAX MT880 (проводной)
EchoLife HG521
- NETGEAR:
WGT624
WNR3500L v2 (Entware HG)
WNDR3800
- TP-LINK:
TD-8840T (проводной)
TL-WDR4300
TL-MR3420
TD-W8968
TD-854W
- TRENDnet:
TEW-673GRU
TEW-692GR
- ZTE:
ZXV10 W300
- Other:
WebCM Firmware
2. Добавлено определение ложных срабатываний эксплойтов
3. Обновлены парсеры: Upvel Universal, TP-LINK Universal, ASUS HG, D-Link DIR-320 Entware HG, ZyNOS ADSL, ZyXEL ZyWALL, Micro DSL, ZTE Router
4. Обновлён эксплойт ZyNOS rom-0 (добавлена поддержка формата со значениями в Little Endian)
5. В парсер ZyNOS ADSL добавлена поддержка локализации для турецкого языка
6. В парсер ZyXEL ZyWALL добавлена поддержка локализации для турецкого языка
7. В парсер Micro DSL добавлена поддержка локализации для турецкого языка

Версия 2.41
1. Добавлены модели роутеров:
- ASUS:
RT-N53 (Blue)
- D-Link:
DI-804HV (проводной)
DI-808HV (проводной)
DI-704P (проводной)
DI-604 (проводной)
- Tenda:
ADSL2/2+
- TP-LINK:
MR3420
WR720N
WR740N
WR941ND
WR1042ND
- TRENDnet:
TEW-691GR
TEW-731BR
TW100-S4W1CA (проводной)
- Upvel:
UR-316N3G
UR-326N4G
- Other:
Ubicom Firmware
ZyNOS ADSL 2
2. Обновлены парсеры: ZyNOS ADSL, NDMSv2, Micro DSL, ZyWALL Series, NDMSv1, TP-LINK WR841N, Huawei/EchoLife Home Gateway, D-Link DIR-400, ZTE Router, D-Link v2, D-Link DIR-615/DIR-655 2.00/DIR-825, ASUS Blue (Universal), Upvel Universal
3. Исправлен баг при чтении настроек RouterAuth
4. Добавлена эксплуатация уязвимости ZyNOS (получение файла rom-0 и извлечение пароля из него)
5. Добавлена базовая поддержка HTTPS через OpenSSL
6. Добавлена функция авторизации для ZTE Router
7. Добавлена поддержка UTF-8 SSID в парсер D-Link v2
8. Исправлен баг меню (при очистке таблицы некоторые элементы оставались разблокированными)
9. Добавлена функция получения информации IP через сервис 2IP.ru
10. Исправлен порядок переключения элементов окна табуляцией
11. В процессе подбора Basic/Digest пароля к роутеру теперь выводятся проценты
12. Обновлён модуль HNAP
13. Добавлена функция поиска физического местоположения точки доступа

Версия 2.40
1. Добавлены модели роутеров:
- ASUS:
HG (Universal, test)
Blue (Universal, test)
Black (Universal, test)
WL-550gE HG
RT-N12 HG
RT-N12 Rev.C1 Black
RT-N12 Rev.B1 HG
- Cisco:
Linksys (Universal, test)
Linksys E900
- D-Link:
DIR-320 WiMAX HG (ASUS firmware)
DSL-2500U (проводной)
- NETGEAR:
WNR3500L (ASUS firmware)
- TP-LINK:
WR941N
- Upvel:
UR-319BN
UR-344AN4G+
UR-322N4G
UR-344AN4G
UR-314AN
UR-312N4G
- ZyXEL:
NDMSv1 (Universal)
- Other:
Micro DSL Router
Wive-NG
Boa ADSL Router
2. Улучшена поддержка прошивки ZyXEL NDMSv1
3. Обновлены парсеры: Upvel Universal/Onlime, DD-WRT, D-Link v2, ZTE Router, Tomato, Tenda 11N, ASUS RT-N16, ASUS HG, ASUS WR Black, D-Link DI-824VUP/DI-824VUP+, Upvel ADSL, D-Link DIR-100, ZyXEL ZyWALL Series, Cisco Linksys WRT54GL, D-Link DIR-300/320, D-Link DIR-655
4. Добавлен экспорт в таблицу XML 2003
5. Добавлен запрос подтверждения при закрытии программы во время сканирования
6. Исправлены сигнатуры определения роутеров Intercross
7. Дополнены сигнатуры определения ASUS WR Black
8. Обновлён модуль HNAP: теперь игнорирует (null) при запросе WAN информации
9. Изменена обработка заголовка Location в клиенте HTTP: если узел перенаправляет на другое имя хоста, то сканирование продолжится на этом же узле, но с новым именем хоста (актуально для прошивки NDMS v2.02, которая перенаправляет на хост my.keenetic.net)
10. Улучшена функция открытия роутера в браузере: пароль вводится автоматически
11. Большинство функций, которые могли вызвать необработанные исключения в потоках, заменены на безопасные
12. Теперь все настройки сохраняются в config.ini
13. Добавлена возможность автоматического сохранения результатов после полной остановки сканирования или при закрытии во время сканирования (сохраняет в папку программы, имя файла - текущая дата и время)
14. В поставку включён улучшенный файл с описанием поддерживаемых моделей роутеров

Версия 2.39
1. Добавлены модели роутеров:
- AnyData:
AWR-500A
- ASUS:
DSL-N10
RT-AC56U
RT-AC56U Black
RT-N10 Rev.C1
RT-N10P Black
RT-N12 Rev.D1 Black
RT-N14U Black
RT-N15U Black
RT-N53 Black
RT-N56U Grey
RT-N65U Black
WL-AM604g HG
- Cisco:
EPC2325
- D-Link:
DCS-930L
DIR-300BEEB5
DIR-300NRU rev.B6
DIR-320 HG (ASUS firmware)
- LevelOne:
SC1BA85A (на стадии тестирования)
- NETGEAR:
JDGN1000
WGR614 v9
WNDR4000
- NeoPort:
Cell Router
PORT-5E
- Tenda:
Beeline 11N
- Thomson:
Firmware ST5D.06.03
Firmware STA3.66.05
Firmware STB1.53.11
Firmware STB6.01.40
Firmware STB6.01.60
Firmware STB6.07.02
- TP-LINK:
WR842ND
- TRENDnet:
TEW-452BRP
- Upvel:
UR-313N4G
UR-319BN (Onlime)
UR-354AN4G
- ZyXEL:
KEENETIC ULTRA
KEENETIC GIGA II
NDMSv2 (Universal)
- Other:
Tomato
2. Добавлены текстовые файлы с конфигурацией пар логин/пароль для авторизации
3. Обновлён алгоритм определения (сначала определяется Basic/Digest имя пользователя и пароль, затем определяется модель)
4. Файлы конфигурации для портов и диапазонов сделаны обязательными
5. Обновлены сигнатуры HTML Hex
6. Обновлены парсеры TRENDnet TEW-651BR, ASUS RT-N10/12 E/LX, D-Link v2, NETGEAR WNR3500L, JWNR2000 v2, TRENDnet Beeline Router, D-Link DAP-1155/1360, DD-WRT, ASUS RT-G32, D-Link DIR-300/320, ASUS Black, ASUS HG, ASUS RT-N56U, D-Link DIR-615, TRENDnet TEW-652BRP, ZyXEL ZyWALL Series, ZTE ZXDSL 531BII, ASUS WL-AM604g, TRENDnet TEW-432BRP, D-Link DIR-320 Entware HG, NETGEAR WGR612/JWNR2000, NETGEAR WNR612 v2/WNR1000 v2, ZyXEL P-330W EE, Generic ADSL
7. Добавлена эксплуатация уязвимости в ZTE ZXDSL 531BII - получение пароля администратора (проверено на прошивке V3.0.0d_B09_OV)
8. Улучшена поддержка прошивки ZyXEL NDMSv2, исправлен баг получения WAN информации
9. Добавлена поддержка D-Link DIR-100 ревизии D1
10. Добавлена эксплуатация уязвимости в D-Link DIR-100 - получение пароля администратора и настроек роутера (прошивка 4.02 и 4.03)

Версия 2.38
1. Добавлены модели роутеров:
- ASUS:
RT-AC66U
RT-AC66U Black UI
RT-N10U
RT-N10U Black UI
RT-N12 Black UI
RT-N12 Rev.B1
RT-N15
WL-500g Premium HG
- D-Link:
DI-824VUP+
DIR-320 Entware HG
DIR-825
- Huawei:
HG532c
HG532e
- Intercross:
4P (проводной)
- TP-LINK:
WR741ND
WR743ND
WR1043ND
- TRENDnet:
TEW-650AP
- UPVEL:
UR-315BN (Onlime)
- ZTE:
F412 (проводной)
F460
F620 (проводной)
F660
ZXDSL 831AII (проводной)
- ZyXEL:
Keenetic Lite v2.x
2. Добавлена чистка полей при использовании функции Rescan
3. Обновлён парсер TRENDnet TEW-651BR
4. Исправлено определение авторизации во всех парсерах ASUS (раньше могло выдать :admin, если авторизация успешна, но подходящая сигнатура не найдена)
5. Добавлена эксплуатация уязвимости в ZTE ZXDSL 831AII - получение имени и пароля администратора
6. Добавлен скроллинг для правой части верхней панели, если она не помещается на экран
7. Исправлен баг при сохранении файла CSV (добавляет расширение, если не указано)
8. Добавлены новые колонки BSSID, WPS Pin и LAN (получение данных в разработке)
9. Колонка SSID переименована в ESSID
10. Исправлен баг в парсере ASUS RT-G32 для прошивки 2.0.0.5 (получение ключа)
11. Исправлен баг в парсере DIR-300/320 rev. B1 для прошивки 2.04 (получение ключа)
12. Обновлён парсер NETGEAR WNR1000v2 для прошивки 1.0.2.12
13. Обновлены парсеры: ASUS RT-N16, ZyXEL P-330W EE, TRENDnet TEW-651BR, ASUS RT-N16 Black, ASUS RT-G32, D-Link DI-624, NETGEAR WGR614 v7, UPVEL UR-325BN, D-Link DIR-130, D-Link DIR-628, EDIMAX BR6428GN, Intercross 1P, D-Link DI-524, TRENDnet TEW-432BRP, ASUS WL-AM604g
14. Обновлён парсер D-Link DIR-615 для прошивки 3.03RU
15. Обновлён парсер TRENDnet TEW-652BRP для прошивки 1.10.14
16. Найден и добавлен обходной путь при получении данных по протоколу HNAP (если роутер отдаёт неполный список SOAP действий)
17. Модуль HNAP обновлён
18. Добавлена эксплуатация уязвимости для D-Link DIR-825 - получение пароля администратора при логине на роутере с правами пользователя (проверено на прошивке 2.09WW, ревизия B1)
19. Добавлена эксплуатация уязвимости для ZTE F660 - обход авторизации (проверено на прошивке V2.20.20P1T6S, также работает на других моделях серии F)
20. Исправлены баги в модуле Cookie Manager

Версия 2.35
1. Добавлены модели роутеров:
- ASUS:
RT-N12LX
- D-Link:
DSL-2600U
DSL-2640U
DSL-2640NRU-SZT-Arch
DSL-2640NRU-SZV
DSL-2650NRU
- Intercross:
1P (проводной)
- UPVEL:
UR-315BN
- Other:
Generic ADSL Firmware
2. Исправлен баг List index out of bounds (-1)
3. Улучшен парсер DD-WRT
4. Улучшен парсер ASUS RT-N16 HG
5. Добавлена вкладка, на которую выводятся только положительные результаты сканирования
6. Добавлена кнопка "Приостановка/Возобновление"
7. Обновлен модуль eXcessive Scan, добавлено:
- Эксплойт для несконфигурированного Hudson-CI/Jenkins-CI Servlet (исполнение произвольного Java кода)

Версия 2.34
1. Добавлены модели роутеров:
- ASUS:
RT-N10E
RT-N10LX
RT-N10+
RT-N11 HG
RT-N12E
RT-N15U
WL-320gP HG
WL-500gP HG
WL-500gP V2 HG
WL-500W HG
WL-520gU HG
WL-530gV2 HG
- D-Link:
DAP-1155
DAP-1360
DIR-320NRU
DIR-300NRU rev.B5 Black UI
DIR-300NRU rev.B7
DIR-615 Black UI
DIR-620 Grey UI
- Intercross:
4PW
- ZTE:
ZXDSL 831CII
- ZyXEL:
KEENETIC 4G
- Other:
DD-WRT
2. Исправлен баг в парсере ASUS/HG
3. Добавлена эксплуатация уязвимости в ZTE ZXDSL 831CII - получение имени и пароля администратора
4. Парсер WNR1000 v2/WNR612 v2 обновлён
5. Исправлен баг в парсере DIR-400
6. Исправлен баг в парсере DIR-615 при WEP шифровании
7. Добавлен модуль eXcessive Scan, в него входит:
- Детектор прокси
- Поддержка протокола HNAP 1.0
- Эксплойт для уязвимости в несконфигурированном SQLite Manager (исполнение произвольного php кода)

Версия 2.31
1. Добавлена поддержка роутеров:
- ASUS:
WL-520g HG
- EDIMAX:
BR6228GNS Firmware 1.13
BR6425N Firmware 1.10
BR6425N Firmware 1.21
Firmware 1.06
Firmware 1.51
Firmware 1.57
Firmware 2.52
Firmware 2.89
- TP-LINK:
WR541G/542G
WR641G/642G
WR841N

Версия 2.30
1. В движке сканирования исправлен баг переполнения потоков (теперь подсчитывает кол-во активных потоков верно)
2. Исправлен баг с получением кода ответа от сервера в процессе авторизации
3. Исправлено зависание потоков в конце сканирования
4. Наконец-то исправлен баг в HTTP клиенте с поддержкой Digest MD5 авторизации (проверка подлинности AUTH-INT пока не поддерживается)
5. Улучшен экспорт в таблицу CSV
6. Добавлена функция поиска в таблице
7. Добавлена функция автоматической прокрутки списка при появлении новых записей
8. Добавлена возможность указать пару логин/пароль для авторизации
9. Добавлена функция перебора стандартных логинов и паролей для роутеров, которые не удалось опознать (проверяет отсутствие кода 401), автоматически определяется тип авторизации (поддерживается Basic и Digest)
10. Добавлена поддержка роутеров:
- ASUS:
DSL-N12U
RT-G32 Rev.C1
RT-N10U HG
RT-N12 Rev.C1
RT-N13
RT-N13U Rev.B1
RT-N16 (Black UI)
RT-N16 HG
RT-N56U
RT-N56U (Black UI)
RT-N66U (Black UI)
WL-500gP V2
WL-520gC HG
WL-520GU
- Cisco:
Linksys WRT54G
Linksys WRT54GL
- D-Link:
Beeline D150L
DI-524
DIR-300 (Black UI)
DIR-300 (Beeline UI)
DIR-300NRUB5
DIR-628
DSL-2640NRU
- NETGEAR:
WGR614 v7
WNR1000 v2
WNR3500L
- TRENDnet:
Beeline Router
TW100-S4W1CA
- UPVEL:
UR-325BN
- ZyXEL:
Beeline N150L
KEENETIC
KEENETIC GIGA
KEENETIC LITE
ZyWALL Series
11. Добавлена эксплуатация новой найденной уязвимости для D-Link DIR-300 и DIR-320 - получение пароля администратора без авторизации на роутере (источник: http://chelaxe.ru/?p=634#comment-6976)
12. Добавлена эксплуатация уязвимости для D-Link DI-524 - получение пароля администратора при логине на роутере с правами пользователя

Версия 2.24
1. Исправлен баг в движке сканирования, а также баг рескана

Версия 2.23
1. Улучшена функция сканирования (скоростные характеристики)
2. Исправлено ещё несколько мелких багов

Версия 2.21
1. Исправлено несколько багов в потоках
2. Добавлена возможность собственного выбора портов для сканирования
3. Добавлена возможность сканировать одиночные IP-адреса (добавляются там же, где и диапазоны)

Версия 2.2
1. Несколько незначительных изменений в интерфейсе
2. Добавлена возможность сканирования по нескольким диапазонам
3. Автоматическая загрузка диапазонов из файла при запуске
4. Сохранение результатов сканирования целиком в таблицу CSV

Версия 2.1

Ранние (приватные) версии